### Method

# ICalGLib VcardComponent take_component

since: 4.0

#### Declaration [src]

    void
    i_cal_vcard_component_take_component (
      ICalVcardComponent* parent,
      ICalVcardComponent* child
    )

#### Description [src]

Adds the `child` into the `parent` as a child component and unrefs the `child`.

Available since: 4.0

This method is not directly available to language bindings.

#### Parameters

`child`

  Type: `ICalVcardComponent`

  A child `ICalVcardComponent`.

  The instance takes ownership of the data, and is responsible for freeing it.